OUTPUT_ARCH(mips)
ENTRY(entry)
SECTIONS
{
	. = 0x80400000;
	.text       :
	{
	  *(.text.entry)
	  *(.text)
	}

	. = ALIGN(4);
	.rodata  : { *(.rodata) }

	. = ALIGN(4);
	.data  : { *(.data) }

	. = ALIGN(4);
	.sdata  : { *(.sdata) }

	_gp = ALIGN(16);

	__got_start = .;
	.got  : { *(.got) }
	__got_end = .;

	.sdata  : { *(.sdata) }

	. = ALIGN(4);
	__bss_start = .;
	.sbss  : { *(.sbss) }
	.bss  : { *(.bss) }

	workspace = .;
	_end = .;
}
